package com.javacodegeeks.example;

import java.io.IOException;
import java.io.Reader;
import java.io.StringWriter;

import org.apache.commons.io.IOUtils;

import com.atlassian.confluence.content.render.xhtml.ConversionContext;
import com.atlassian.confluence.content.render.xhtml.XhtmlException;
import com.atlassian.confluence.content.render.xhtml.transformers.Transformer;

public class MacroTransformer implements Transformer {

	@Override
	public String transform(Reader reader, ConversionContext context) throws XhtmlException {
		String input = readerToString(reader);
		
		if (input != null) {
			return input.replaceAll("loremipsum", "loremepsum");
		}
		
		return input;
	}
	
	private String readerToString(Reader reader) {
		StringWriter outputWriter = new StringWriter();
		try {
			reader.reset();
			IOUtils.copy(reader, outputWriter);
		} catch (IOException e) {
			return null;
		}
		return outputWriter.toString();
	}

}
